# Books API

## Instance Methods

Returns the bookshelves Resource.

Returns the cloudloading Resource.

Returns the dictionary Resource.

Returns the layers Resource.

Returns the myconfig Resource.

Returns the mylibrary Resource.

Returns the notification Resource.

Returns the onboarding Resource.

Returns the personalizedstream Resource.

Returns the promooffer Resource.

Returns the series Resource.

Returns the volumes Resource.

Create a BatchHttpRequest object based on the discovery document.

### Method Details

`new_batch_http_request()`

    Create a BatchHttpRequest object based on the discovery document.

            Args:
              callback: callable, A callback to be called for each response, of the
                form callback(id, response, exception). The first parameter is the
                request id, and the second is the deserialized response object. The
                third is an apiclient.errors.HttpError exception object if an HTTP
                error occurred while processing the request, or None if no error
                occurred.

            Returns:
              A BatchHttpRequest object based on the discovery document.